Uploaded image for project: 'PUBLIC - Liferay IDE'
  1. PUBLIC - Liferay IDE
  2. IDE-3316

module depencency didn't add correct gradle dependency for some services

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Duplicate
    • Affects Version/s: 3.1
    • Fix Version/s: None
    • Component/s: Modules
    • Labels:
      None

      Description

      1. create a gradle module project
      2. choose service as template
      3. select com.liferay.asset.categories.navigation.web.configuration.AssetCategoriesNavigationPortletInstanceConfiguration
      4. add module depencecy com.liferay.portal.configuration.settings
      5. find marker still existing
      6. open build.gradle, change "com.liferay", name:"com.liferay.portal.configuration.settings", version:"2.0.0" into "com.liferay", name: "com.liferay.asset.categories.navigation.web", version: "1.0.9"
      7. refresh the project and it works

      There are some services will be like that, such as LayoutSetLocalServiceStagingAdvice and so on.

        Attachments

          Activity

            People

            • Assignee:
              lr_ide LR IDE
              Reporter:
              joye.luo Joye Luo (Inactive)
              Participants of an Issue:
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Days since last comment:
                2 years, 4 weeks, 4 days ago

                Packages

                Version Package